> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate India IFSC Code

> Validate an Indian IFSC code.



## OpenAPI

````yaml POST /v1/recipients/validate/routing/in
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients/validate/routing/in:
    post:
      tags:
        - Recipient Endpoints
      summary: Validate India IFSC Code
      description: Validate an Indian IFSC code.
      operationId: validateIndiaIfscCode
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                routingNumber:
                  type: string
                  example: SBIN0000001
            example:
              routingNumber: SBIN0000001
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  bankName:
                    type: string
                    example: State Bank of India
                  branchName:
                    type: string
                    example: Main Branch
                  city:
                    type: string
                    example: Mumbai
                  routingNumber:
                    type: string
                    example: SBIN0000001
                  state:
                    type: string
                    example: Maharashtra
                  valid:
                    type: boolean
                    example: true
              examples:
                Success Response:
                  value:
                    bankName: State Bank of India
                    branchName: Main Branch
                    city: Mumbai
                    routingNumber: SBIN0000001
                    state: Maharashtra
                    valid: true
        '400':
          description: Error Response - Invalid IFSC Code
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: invalid_ifsc_code
                  message:
                    type: string
                    example: Invalid IFSC code
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Invalid IFSC Code:
                  value:
                    error: invalid_ifsc_code
                    message: Invalid IFSC code
                    statusCode: 400

````